Bug 491841 - Crash at scim_helper_launcher.cpp:169 when asked for "SCIM Setup" in applet
Crash at scim_helper_launcher.cpp:169 when asked for "SCIM Setup" in applet
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-24 08:14 EDT by Michal Nowak
Modified: 2013-03-07 21:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-25 03:43:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2009-03-24 08:14:33 EDT
Description of problem:

Core was generated by `/usr/lib64/scim-1.0/scim-helper-launcher --daemon --config socket --display :0.'.
Program terminated with signal 11, Segmentation fault.
#0  0x00007fcde99631b6 in scim_setup_module_create_ui () from /usr/lib64/scim-1.0/1.4.0/IMEngine/python.so
#0  0x00007fcde99631b6 in scim_setup_module_create_ui () from /usr/lib64/scim-1.0/1.4.0/IMEngine/python.so
#1  0x00007fcdea90c08c in SetupUI::add_module (this=0x1820320, module=0x1dd4690) at scim_setup_ui.cpp:118
#2  0x00007fcdea90da93 in setup_LTX_scim_helper_module_run_helper (uuid=<value optimized out>, 
    config=@0x7ffff7cd0ce0, display=<value optimized out>) at scim_setup_helper.cpp:96
#3  0x000000000040234b in main (argc=<value optimized out>, argv=0x7ffff7cd0fe8)
    at scim_helper_launcher.cpp:169

Loading socket Config module ...
Creating backend ...
Loading x11 FrontEnd module ...
Failed to load x11 FrontEnd module.
Loading simple Config module ...
Creating backend ...
Traceback (most recent call last):
  File "/usr/share/scim-python/engine/PinYin/__init__.py", line 35, in get_factorys
    import PinYin
  File "/usr/share/scim-python/engine/PinYin/PinYin.py", line 34, in <module>
    import PYSQLiteDB
  File "/usr/share/scim-python/engine/PinYin/PYSQLiteDB.py", line 28, in <module>
    import time
ImportError: /usr/lib64/python2.6/lib-dynload/timemodule.so: undefined symbol: PyExc_ValueError
Traceback (most recent call last):
  File "/usr/share/scim-python/engine/PinYin/__init__.py", line 42, in get_factorys
    import ZhengJu
  File "/usr/share/scim-python/engine/PinYin/ZhengJu.py", line 34, in <module>
    from gettext import dgettext
  File "/usr/lib64/python2.6/gettext.py", line 49, in <module>
    import locale, copy, os, re, struct, sys
  File "/usr/lib64/python2.6/locale.py", line 183, in <module>
    import re, operator
ImportError: /usr/lib64/python2.6/lib-dynload/operator.so: undefined symbol: _Py_ZeroStruct
Loading socket FrontEnd module ...

Version-Release number of selected component (if applicable):

scim-m17n-0.2.2-4.fc11.x86_64
scim-rawcode-1.4.8-2.fc11.x86_64
scim-bridge-qt-0.4.15.2-3.fc11.x86_64
scim-bridge-gtk-0.4.15.2-3.fc11.x86_64
scim-debuginfo-1.4.8-2.fc11.x86_64
scim-libs-1.4.8-2.fc11.x86_64
scim-bridge-0.4.15.2-3.fc11.x86_64
scim-hangul-0.3.2-6.fc11.x86_64
scim-anthy-1.2.7-2.fc11.x86_64
scim-chewing-0.3.3-1.fc11.x86_64
scim-python-0.1.13rc1-5.fc11.x86_64
scim-1.4.8-2.fc11.x86_64
scim-qtimm-0.9.4-12.fc11.x86_64
scim-python-pinyin-0.1.13rc1-5.fc11.x86_64

How reproducible:

always

Additional info:

After today's rawhide update & restart SCIM appeared in GNOME and I can't close it -- when I try to, it restart. I I tried to turn it off in Setup, but that attempt ended in crash (and also the py traceback of unknown origin, when I caught the core dump via `abrt').
Comment 1 Michal Nowak 2009-03-24 12:18:19 EDT
W.r.t. python traceback:

newman@dhcp-lab-124 OpenMP $  system-config-date 
Loading socket Config module ...
Creating backend ...
Loading x11 FrontEnd module ...
GTK Panel of SCIM 1.4.8

Traceback (most recent call last):
  File "/usr/share/scim-python/helper/__init__.py", line 41, in _init_helpers
    mod = __import__ (name, globals (), locals (), [])
  File "/usr/share/scim-python/helper/PinYinSetup/__init__.py", line 29, in <module>
    from gettext import dgettext
  File "/usr/lib64/python2.6/gettext.py", line 49, in <module>
    import locale, copy, os, re, struct, sys
  File "/usr/lib64/python2.6/locale.py", line 183, in <module>
    import re, operator
ImportError: /usr/lib64/python2.6/lib-dynload/operator.so: undefined symbol: _Py_ZeroStruct
Traceback (most recent call last):
  File "/usr/share/scim-python/helper/__init__.py", line 41, in _init_helpers
    mod = __import__ (name, globals (), locals (), [])
  File "/usr/share/scim-python/helper/ZhengJuSetup/__init__.py", line 29, in <module>
    from gettext import dgettext
  File "/usr/lib64/python2.6/gettext.py", line 49, in <module>
    import locale, copy, os, re, struct, sys
  File "/usr/lib64/python2.6/locale.py", line 183, in <module>
    import re, operator
ImportError: /usr/lib64/python2.6/lib-dynload/operator.so: undefined symbol: _Py_ZeroStruct
Starting SCIM as daemon ...
Loading simple Config module ...
Creating backend ...
Traceback (most recent call last):
  File "/usr/share/scim-python/engine/PinYin/__init__.py", line 35, in get_factorys
    import PinYin
  File "/usr/share/scim-python/engine/PinYin/PinYin.py", line 34, in <module>
    import PYSQLiteDB
  File "/usr/share/scim-python/engine/PinYin/PYSQLiteDB.py", line 28, in <module>
    import time
ImportError: /usr/lib64/python2.6/lib-dynload/timemodule.so: undefined symbol: PyExc_ValueError
Traceback (most recent call last):
  File "/usr/share/scim-python/engine/PinYin/__init__.py", line 42, in get_factorys
    import ZhengJu
  File "/usr/share/scim-python/engine/PinYin/ZhengJu.py", line 34, in <module>
    from gettext import dgettext
  File "/usr/lib64/python2.6/gettext.py", line 49, in <module>
    import locale, copy, os, re, struct, sys
  File "/usr/lib64/python2.6/locale.py", line 183, in <module>
    import re, operator
ImportError: /usr/lib64/python2.6/lib-dynload/operator.so: undefined symbol: _Py_ZeroStruct
Loading socket FrontEnd module ...
Starting SCIM as daemon ...


Does in some way all system-config-* utils.
Comment 2 Peng Huang 2009-03-25 03:43:45 EDT
It is a bug in scim. I have fixed in 1.4.8-3.

Note You need to log in before you can comment on or make changes to this bug.